@import '/_content/Microsoft.FluentUI.AspNetCore.Components/css/reboot.css';
@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Oswald','Helvetica Neue', Helvetica, Arial, sans-serif !important;
}

h1:focus {
    outline: none;
}

a, .btn-link, a:active, .btn-link:active, a:hover, .btn-link:hover, a:visited, .btn-link:visited {
    color: rgb(0, 95, 70);
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
    padding-right: 0;
    padding-left: 0;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.loading-progress {
    position: relative;
    display: block;
    width: 8rem;
    height: 8rem;
    margin: 20vh auto 1rem auto;
}

    .loading-progress circle {
        fill: none;
        stroke: #e0e0e0;
        stroke-width: 0.6rem;
        transform-origin: 50% 50%;
        transform: rotate(-90deg);
    }

        .loading-progress circle:last-child {
            stroke: #005f43;
            stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
            transition: stroke-dasharray 0.05s ease-in-out;
        }

.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

    .loading-progress-text:after {
        content: var(--blazor-load-percentage-text, "Loading");
    }

code {
    color: #c02d76;
}

fluent-card, .fluent-card {
    padding: 10px;
    background: rgba(255,255,255,0.8);
    font-family: 'Oswald' !important;
    margin-bottom: 25px;
}

fluent-accordion {
    margin-bottom: 25px;
}

/*  fluent-card:not(:last-child), .fluent-card:not(:last-child) {
        margin-bottom: 25px;
    }*/
.menuakce fluent-menu {
    position: fixed
}

.fluent-dialog-content {
    padding: 10px
}

.white-transparent {
    background: rgba(255,255,255,0.8)
}

h1, h2 a, h2 a:hover {
    color: #005f43;
    font-family: 'Oswald' !important;
}
h2, h2 a, h2 a:hover {
    color: #005f43;
    font-family: 'Oswald' !important;
}

h3, h3 a, h3 a:hover {
    color: #5a5a5a;
    font-family: 'Oswald' !important;
}

h4, h4 a, h4 a:hover {
    color: #005f43;
    font-family: 'Oswald' !important;
}

fluent-divider {
    margin-top: 10px;
    margin-bottom: 10px;
}

.index-card {
    color: rgb(0, 95, 70);
    font-size: 36px;
    background-color: rgba(255,255,255,0.8);
    text-align: center;
    position: fixed;
    bottom: 25px;
    width: 100%;
    height: 80px;
    padding-top: 25px;
}

    .index-card a, .index-card a:hover {
        color: rgb(0, 95, 70);
    }

.logo-title {
    font-size: 17px;
    text-transform: uppercase;
    color: #ffe500;
    font-family: "Oswald" !important;
    margin-left: 10px;
    width: 70px;
    text-wrap: wrap;
    margin-top: 15px;
}


.footer {
    padding: 85px 0 15px;
    background-color: #005f43;
    position: relative
}

    .footer .footer-menu ul {
        display: block;
        text-align: center;
        margin: 0 0 80px;
        padding: 0;
        font-size: 0
    }

    .footer .footer-menu li {
        display: inline-block;
        *display: inline;
        *zoom: 1;
        vertical-align: top;
        padding: 0;
        margin: 0 20px 10px;
        font-family: 'Oswald',Arial,sans-serif !important;
        font-weight: 500;
        font-size: 20px;
        line-height: 26px;
        text-transform: uppercase
    }

        .footer .footer-menu li a {
            position: relative;
            -webkit-transition: all .2s ease-out;
            -moz-transition: all .2s ease-out;
            -ms-transition: all .2s ease-out;
            -o-transition: all .2s ease-out;
            transition: all .2s ease-out;
            display: block;
            color: #fff
        }

            .footer .footer-menu li a:hover {
                color: #c1e57d
            }

    .footer .footer-certificates {
        border-top: 1px solid #61a260;
        border-bottom: 1px solid #61a260;
        margin-bottom: 45px
    }

        .footer .footer-certificates h5 {
            color: #c1e57d;
            background-color: #005f43;
            position: relative;
            padding: 0 45px;
            display: inline-block;
            *display: inline;
            *zoom: 1;
            vertical-align: top;
            margin: -15px auto 30px
        }

        .footer .footer-certificates ul {
            display: block;
            text-align: center;
            margin: 0 0 15px;
            padding: 0;
            font-size: 0
        }

        .footer .footer-certificates li {
            position: relative;
            text-decoration: none;
            text-decoration: none;
            display: inline-block;
            *display: inline;
            *zoom: 1;
            vertical-align: top;
            padding: 0;
            margin: 0 10px 30px;
            padding: 25px 0;
            font-size: 16px;
            line-height: 21px;
            color: #fff;
            width: 22%
        }

            .footer .footer-certificates li:before {
                /* content:'\e904'; */
                font-size: 15px;
                width: 63px;
                height: 15px;
                position: absolute;
                left: 50%;
                margin-left: -32px;
                top: 0;
            }

            .footer .footer-certificates li:after {
                content: '\e905';
                font-size: 15px;
                width: 63px;
                height: 15px;
                position: absolute;
                left: 50%;
                margin-left: -32px;
                bottom: 0;
            }

            .footer .footer-certificates li:before, .footer .footer-certificates li:after {
                color: #c1e57d
            }

            .footer .footer-certificates li strong {
                display: block;
                text-transform: uppercase
            }

    .footer .copyright p {
        color: #c1e57d;
        padding: 0 0 70px
    }

        .footer .copyright p strong {
            font-family: 'Oswald',Arial,sans-serif !important;
            font-weight: 500;
            font-size: 20px;
            line-height: 26px;
            margin: 0 0 5px;
            text-transform: uppercase;
            display: block;
        }

        .footer .copyright p a {
            color: #c1e57d
        }

            .footer .copyright p a:hover {
                color: #fff
            }

    .footer .copyright .sherwood {
        text-decoration: none;
        color: #4d955a;
        position: relative;
        display: inline-block;
        *display: inline;
        *zoom: 1;
        vertical-align: top;
        font-size: 0;
        margin: 0 auto;
        width: 155px;
        height: 40px
    }

        .footer .copyright .sherwood:before {
            content: '\e90c';
            font-size: 37.99999999999999px;
            width: 155px;
            height: 38px;
            position: absolute;
            left: 50%;
            margin-left: -78px;
            top: 50%;
            margin-top: -19px;
        }

        .footer .copyright .sherwood:before {
            position: relative;
            display: block;
            vertical-align: top;
            -webkit-transition: all .2s ease-out;
            -moz-transition: all .2s ease-out;
            -ms-transition: all .2s ease-out;
            -o-transition: all .2s ease-out;
            transition: all .2s ease-out
        }

    .footer .copyright a:hover .sherwood:before {
        color: #0009bf
    }

.center {
    text-align: center !important;
}

.danger button {
    background-image: linear-gradient(#dc3545,#dc3545);
}

    .danger button:hover {
        background-image: linear-gradient(#bb2d3b,#bb2d3b);
    }


.smallerCombo *::before, .smallerCombo *::after {
    width: 100%;
}

* {
    --accent-fill-rest: #317b5d;
    --accent-fill-hover: #358465;
    --accent-fill-active: #3b9372;
    --accent-fill-focus: #317b5d;
    --accent-foreground-rest: #1b4e34;
    --accent-foreground-hover: #154028;
    --accent-foreground-active: #2c7255;
    --accent-foreground-focus: #1b4e34;
    --accent-stroke-control-rest: linear-gradient(#46886d 90%, #225540 100%);
    --accent-stroke-control-hover: linear-gradient(#478f73 90%, #265e48 100%);
    --accent-stroke-control-active: #4f9e80;
    --accent-stroke-control-focus: linear-gradient(#46886d 90%, #225540 100%);
}

.adw-outline {
    border-color: var(--accent-fill-rest) !important;
    background-color: #ffffff !important;
    margin-left: 24px;
}

.logo-row {
    margin-top: 24px;
    margin-bottom: 30px;
}

.logo-row .container-fluid {
    width: 100%
}



.logo-row .container-fluid .navbar-brand {
    display: flex;
}

.logo-row .container-fluid .navbar-brand img {
    margin-left: auto;
    margin-right: auto;
}

.app-navigation-menu {
    width: 100%;
    display: grid;
}

.adw-menu-item img {
    max-height: 250px;
    margin-left: auto;
    margin-right: auto;
}

.app-navigation-menu a img {
    margin-bottom: 25px;
}
fluent-combobox {
    min-width: 100px;
}

article.content {
    min-height: calc(100vh - 113px)
}

@media (max-width: 640px) {
    .app-navigation-menu {
        padding-top: 30px;
    }
}

    @media (min-width: 641px) {
        .adw-menu-item img {
            max-height: 300px;
            margin-left: auto;
            margin-right: auto;
        }

        .logo-row {
            margin-top: 0;
            position: relative;
            top: -25px;
        }

            .logo-row .container-fluid .navbar-brand {
                display: block;
            }

                .logo-row .container-fluid .navbar-brand img {
                    margin-left: 80px;
                }

        .app-navigation-menu {
            padding-top: 300px;
            width: 100%;
            display: flex;
        }

            .app-navigation-menu a img {
                margin-bottom: 0;
            }
    }


.fluent-messagebar-action {
    float: right;
}

.col-title-text {
    white-space: normal !important;
}

body .pwa-updater[b-pwa-updater] {
    --pwa-updater-bar-height: 48px;
    --pwa-updater-bar-backcolor: #fc8e00;
}
